Bug 845267 - RFE: As a user, I would like to be able to set my preferred locale via the CLI
RFE: As a user, I would like to be able to set my preferred locale via the CLI
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Tomas Strachota
Katello QA List
http://projects.theforeman.org/issues...
: FutureFeature, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 10:00 EDT by Og Maciel
Modified: 2017-02-23 16:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 13:11:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 9112 None None None 2016-04-22 12:00 EDT

  None (edit)
Description Og Maciel 2012-08-02 10:00:31 EDT
Description of problem:

As the admin user for a Katello server, I would like to be able to create user accounts and set their preferred locale from the CLI.

As a regular user I would like to be able to modify/set my preferred locale from the CLI.

Right now this is only exposed via the web ui and I strongly feel that we should make this option available. Imagine a user who only understands (i.e. read) one particular language that does not match the default locale for the Katello interface. How one one then change his own locale so he can use the web ui?

As this preference is something we actually store in the database, we should support setting the locale from the CLI.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike McCune 2012-08-08 11:08:30 EDT
There is a pull request inbound for this
Comment 2 Og Maciel 2012-08-23 09:59:45 EDT
Pull request was merged already: https://github.com/Katello/katello/pull/436
Comment 3 Mike McCune 2013-09-19 14:19:12 EDT
These bugs have been resolved in upstream projects for a period of months so
I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to
re-open.
Comment 4 Mike McCune 2013-09-19 22:29:49 EDT
This bug was mistakenly closed during a triage process.  Moving back to MODIFIED or ON_QA depending
Comment 5 Bryan Kearney 2014-06-17 14:59:26 EDT
This commit was made against the old katello cli, but the equivilant does not exist in hammer. 

[bkearney@bkearney hammer-cli]$ hammer user create --help
Usage:
    hammer user create [OPTIONS]

Options:
    --admin ADMIN                 Is an admin account?
    --auth-source-id AUTH_SOURCE_ID  
    --default-location-id DEFAULT_LOCATION_ID  
    --default-organization-id DEFAULT_ORGANIZATION_ID  
    --firstname FIRSTNAME          
    --lastname LASTNAME            
    --login LOGIN                  
    --mail MAIL                    
    --password PASSWORD            
    -h, --help                    print help
Comment 7 Tomas Strachota 2015-01-26 09:06:30 EST
Created redmine issue http://projects.theforeman.org/issues/9112 from this bug
Comment 8 Tomas Strachota 2015-02-25 06:18:30 EST
This issue got fixed by a change in Foreman's api docs. 
Commited into upstream repo:

commit 807f8b66a06de944a9c6da4d8cd15e5be1f678ac
Author: Tomas Strachota <tstrachota@redhat.com>
Date:   Fri Jan 23 14:19:46 2015 +0000

    Fixes #9113 - api docs for users miss locale and timestamp params
    
    Locale was missing also in the server responses.
Comment 9 jcallaha 2015-03-27 14:57:32 EDT
Verified by QE on version Satellite-6.1.0-RHEL-7-20150324.0
Comment 10 Bryan Kearney 2015-08-27 13:11:10 EDT
This was delivered with Satellite 6.1 on 15 August.

Note You need to log in before you can comment on or make changes to this bug.